# Update a Collection's Metadata

### Update a collection's metadata

## Returns collection new data

<mark style="color:blue;">`GET`</mark> `https://api.alturanft.com/api/v2/collection/update`

Takes new Collection information information and changes the Collection data

#### Query Parameters

| Name                                      | Type    | Description                            |
| ----------------------------------------- | ------- | -------------------------------------- |
| address<mark style="color:red;">\*</mark> | Integer | Collection address                     |
| image                                     | Integer | new image URL                          |
| image\_url                                | String  | new image URL                          |
| description                               | String  | new description for the the collection |
| website                                   | String  | Website of the collection              |
| genre                                     | String  | Type of the collection                 |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
  "collections": [
    {
      "holders": 1,
      "volume_1d": 0,
      "volume_1w": 0,
      "volume_30d": 0,
      "volume_all": 0,
      "address": "0xc3a1e586467b5df2fcd37165662277c6cbf61f07",
      "name": "Altura Punks Loot Box Key",
      "description": "Introducing The Smart NFT Altura Punks available in 5 different rarity levels based on your Punks properties which reflect your in game attributes. View the properties below to see this Punks rarity & in game attributes. Please visit Alturapunks.com to see the breakdown of each rarity tier.",
      "genre": "Collection",
      "image": "",
      "imageHash": "",
      "ownerAddress": "0x6b62e0cb8bf669e07254ec1f4db1c3e0a96440c0",
      "slug": "altura-punks-key",
      "uri": "https://api.alturanft.com/meta/altura-punks-key/",
      "website": "",
      "chainId": 56,
      "mintDate": "2022-05-08T17:24:00.707Z"
    },
    ...
  ]
}
```

{% endtab %}

{% tab title="500: Internal Server Error " %}

```javascript
{
    // Response
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.altura.com/altura-documentation/api-reference/smart-nft-endpoints/update-a-collections-metadata.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
